org.apache.ignite.internal.igfs.common

## Class IgfsStatusRequest

- java.lang.Object
- - org.apache.ignite.internal.igfs.common.IgfsMessage
  - - org.apache.ignite.internal.igfs.common.IgfsStatusRequest

    public class IgfsStatusRequest
    extends IgfsMessage

IGFS status (total/used/free space) request.

### Constructor Summary

Constructors
Constructor and Description
`IgfsStatusRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IgfsIpcCommand` `command()`
`void` `command(IgfsIpcCommand cmd)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsStatusRequest

    public IgfsStatusRequest()

### Method Detail

#### command

    public IgfsIpcCommand command()

Overrides:
  `command` in class `IgfsMessage`
Returns:
  Command.

#### command

    public void command(IgfsIpcCommand cmd)

Overrides:
  `command` in class `IgfsMessage`
Parameters:
  `cmd` - Command.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018